using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;

namespace CarCenterContracts.StoragesContracts
{
    public interface IManagerStorage
    {
        List<ManagerViewModel> GetFullList();

        List<ManagerViewModel> GetFilteredList(ManagerSearchModel model);

        ManagerViewModel? GetElement(ManagerSearchModel model);

        ManagerViewModel? Insert(ManagerBindingModel model);

        ManagerViewModel? Update(ManagerBindingModel model);

        ManagerViewModel? Delete(ManagerBindingModel model);
    }
}
